Beefy Boxes and Bandwidth Generously Provided by pair Networks
P is for Practical
 
PerlMonks  

comment on

( #3333=superdoc: print w/replies, xml ) Need Help??
Thanks for the great responses to my question, we've decided to continue developing off-site for the time being, until they fix the "crash-o-matic" Perl server here on campus.

Mission sent off a question (well, ok, it was more of a rant actually) to novell.devsup.perl about the Novell Perl issue, I posted it below. We received a response about the situation from someone at Novell, here's the response in case anyone else is having similar problems:

"NetWare sources for Perl is integrated with CPAN. Now with the future CPAN releases, NetWare port will also be available alongwith it. Meaning, when CPAN releases Perl5.7.2, NetWare sources also will be there. Anyone interested may build NetWare NLMs from the sources."

"Regarding Perl 5.6.1 not working, even we found that problem with a few NetWare 5 servers. But after we upgraded to the latest support packs (SP6 for NW5 and SP2 for 5.1), everything worked fine. But a few others still faced problems even after installing these support packs. So, we are putting up the latest Perl for NetWare binaries into the Leading Edge. This should be through in a week's time."

"In any case, can you please check up if you have the latest support packs. And if you don't have them, then you may want to install and check again. If you have problems even after the support pack upgrades, then you may download the latest Perl from Leading Edge in a week's time. If it is too late, then I will specifically send the Perl.nlm to you."


Arashi

If you care to read Mission's rant, please read-more:

It seems amazing to me that Perl 5.003 is supported, but that version of Perl is from October 1996! Heck I don't support browsers that old. Perl 5.004 and Perl 5.005 fixed many memory leaks and a variety of other 'issues' (including many security issues) that Perl 5.003 had. Of course, there is also Perl 5.6.1, which has been out since early 2000. Why didn't Novell make continued updates and do a timely release a port of Perl 5.005, so at least people could try to be only "one version behind."

With Perl 5.003, most people will be unable to use CPAN (Comprehensive Perl Archive Network) to get modules that make Perl easier to use. Almost all of the modules off of CPAN require that the Perl version is at a minimum of Perl 5.005, and most require 5.6.x. There is also the other issue that Perl 5.003 is not supported any longer. That is a huge problem.

The Leading Edge version of Perl 5.6.1 is not functioning. As soon as a Perl script is run, the server abends with an error code already noted: Page Fault Processor Exception (Error code 00000002). The note is under Paul Jones's post 'Perl 5.6' on 6/20/2001, and Brad's response on the same day to Paul's that has the same errors that we are getting.

Here is the next problem. There hare been a Perl 6.0 emulator released on June 16, 2001. The Alpha version should be out in the next four to six weeks according to the chatter in the Perl communities. From there I speculate that it will be about nine to twelve months, and a full release of Perl 6 will be upon us. What is Novell doing about that issue?

So my question is "When is Perl 5.6.1 going to be working?" This seems to be a silly question especially when Perl 6.0 is on the horizon, and Perl 5.004, and Perl 5.005 were never made available for Netware. It just seems that this is going no where. Please inform me that I'm wrong!

In reply to Re: Taking backwards steps... by arashi
in thread Taking backwards steps... by arashi

Title:
Use:  <p> text here (a paragraph) </p>
and:  <code> code here </code>
to format your post; it's "PerlMonks-approved HTML":



  • Posts are HTML formatted. Put <p> </p> tags around your paragraphs. Put <code> </code> tags around your code and data!
  • Titles consisting of a single word are discouraged, and in most cases are disallowed outright.
  • Read Where should I post X? if you're not absolutely sure you're posting in the right place.
  • Please read these before you post! —
  • Posts may use any of the Perl Monks Approved HTML tags:
    a, abbr, b, big, blockquote, br, caption, center, col, colgroup, dd, del, div, dl, dt, em, font, h1, h2, h3, h4, h5, h6, hr, i, ins, li, ol, p, pre, readmore, small, span, spoiler, strike, strong, sub, sup, table, tbody, td, tfoot, th, thead, tr, tt, u, ul, wbr
  • You may need to use entities for some characters, as follows. (Exception: Within code tags, you can put the characters literally.)
            For:     Use:
    & &amp;
    < &lt;
    > &gt;
    [ &#91;
    ] &#93;
  • Link using PerlMonks shortcuts! What shortcuts can I use for linking?
  • See Writeup Formatting Tips and other pages linked from there for more info.
  • Log In?
    Username:
    Password:

    What's my password?
    Create A New User
    Chatterbox?
    and the web crawler heard nothing...

    How do I use this? | Other CB clients
    Other Users?
    Others making s'mores by the fire in the courtyard of the Monastery: (2)
    As of 2020-07-05 01:56 GMT
    Sections?
    Information?
    Find Nodes?
    Leftovers?
      Voting Booth?

      No recent polls found

      Notices?